Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Memo

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Appointment, DeliveryReport, NonDeliveryReport, PersonalStationery, PhoneMessage, ReturnNonReceipt, ReturnReceipt, Task, TraceReport

public class Memo
extends AbstractDocument
implements java.io.Serializable

This class is a Domino memo. Memo instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the message was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a memo.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getBody()` Gets the body of the memo.
`java.lang.String` | `getBodyHtml()` Gets the body as html of the memo.
`java.lang.String` | `getBodyHtml(IEmbeddedImageListener imageListener)` Gets the body as html of the memo.
`java.lang.String` | `getBodyStoredFormHtml()` Gets the body stored form as html of the memo.
`java.lang.String` | `getBodyStoredFormHtml(IEmbeddedImageListener imageListener)` Gets the body stored form as html of the memo.
`java.util.Date` | `getDeliveredDate()` Gets the delivered date for the document.
`java.lang.String` | `getDeliveredDateString(java.text.DateFormat dateFormat)` Gets the delivered date for the document formatted with the specified date format.
`Importance` | `getDeliveryPriority()` Gets the delivery priority of the memo.
`DeliveryReportLevel` | `getDeliveryReportLevel()` Gets the delivery report level of the memo.
`java.util.Date` | `getFollowUpDate()` Gets the follow up date of the memo.
`FollowUpStatus` | `getFollowUpStatus()` Gets the follow up status of the memo.
`java.lang.String` | `getFollowUpText()` Gets the follow up text of the memo.
`Importance` | `getImportance()` Gets the importance of the memo.
`java.util.Date` | `getMemoDate()` Gets the memo date for the document.
`java.lang.String` | `getMemoDateString(java.text.DateFormat dateFormat)` Gets the memo date for display formatted with the specified date format.
`java.lang.String` | `getNormalizedSubject()` Gets the normalized subject of the memo.
`java.util.Date` | `getPostedDate()` Gets the posted date for the document.
`java.lang.String` | `getPostedDateString(java.text.DateFormat dateFormat)` Gets the posted date for the document formatted with the specified date format.
`boolean` | `getPreventCopy()` Gets the flag which indicates if this document can be copied.
`RecipientInfo[]` | `getRecipientInfoArray()` Gets information about the recipients of the memo.
`boolean` | `getReturnReceipt()` Gets the return receipt flag of the memo.
`SenderInfo` | `getSenderInfo()` Gets the sender info for the memo.
`java.lang.String` | `getSenderName()` Gets the sender name for the memo.
`java.lang.String` | `getSubject()` Gets the subject of the memo.
`java.lang.String` | `getSubject(int iLength)` Deprecated. Specifying Locale does nothing, replaced with `getSubject(int)`
`java.lang.String` | `getSubject(int iLength, java.util.Locale locale)` Deprecated. Specifying Locale does nothing, replaced with `getSubject(int)`
`java.lang.String` | `getSubject(java.util.Locale locale)` Deprecated. Specifying Locale does nothing, replaced with `getSubject()`
`boolean` | `getUnread()` Gets the unread status of the memo.
`boolean` | `isEncrypted()` Checks if the memo is encrypted.
`Memo` | `serverForward()` Hits the server to prepare a forward document.
`Memo` | `serverReply(boolean bReplyAll)` Hits the server to prepare a reply document.
`void` | `serverSaveAsDraft()` Hits the server to update any changed properties and save the memo as a draft.
`void` | `serverSaveAsDraft(boolean bNoRecipients)` Hits the server to update any changed properties and save the memo as a draft.
`void` | `serverSaveAsDraft(Recipient[] recipients)` Hits the server to update any changed properties and save the memo as a draft.
`void` | `serverSaveAsDraft(Recipient[] recipients, boolean bNoRecipients)` Hits the server to update any changed properties and save the memo as a draft.
`void` | `serverUpdate()` Hits the server to update any changed properties.
`void` | `serverUpdate(Recipient[] recipients, boolean bSaveInSent)` Hits the server to update any changed properties.
`void` | `setBody(java.lang.String sBody)` Sets the body of the memo.
`void` | `setBodyHtml(java.lang.String sBody)` Sets the body as html of the memo.
`void` | `setDeliveryPriority(Importance importance)` Sets the delivery priority of the memo.
`void` | `setDeliveryReportLevel(DeliveryReportLevel level)` Sets the delivery report level of the memo.
`void` | `setFollowUpDate(java.util.Date followUpDate)` Sets the follow up date of the memo.
`void` | `setFollowUpStatus(FollowUpStatus status)` Sets the follow up status of the memo.
`void` | `setFollowUpText(java.lang.String sFollowUpText)` Sets the follow up text of the memo.
`void` | `setImportance(Importance importance)` Sets the importance of the memo.
`void` | `setPreventCopy(boolean bPreventCopy)` Sets the flag to indicate if this document can be copied.
`void` | `setReturnReceipt(boolean bFlag)` Sets the return receipt flag of the memo.
`void` | `setSubject(java.lang.String sSubject)` Sets the subject of the memo.
`void` | `setUnread(boolean bFlag)` Sets the unread status of the memo.

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a memo. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getFollowUpStatus

    public FollowUpStatus getFollowUpStatus()
                                     throws DominoException

  Gets the follow up status of the memo.

  Returns:
    the follow up status of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOLLOW_UP_STATUS`

### setFollowUpStatus

    public void setFollowUpStatus(FollowUpStatus status)
                           throws DominoException

  Sets the follow up status of the memo.

  Parameters:
    `status` - the follow up status (may not be `null`)
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOLLOW_UP_STATUS`

### getFollowUpText

    public java.lang.String getFollowUpText()
                                     throws DominoException

  Gets the follow up text of the memo.

  Returns:
    the follow up text of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOLLOW_UP_TEXT`

### setFollowUpText

    public void setFollowUpText(java.lang.String sFollowUpText)
                         throws DominoException

  Sets the follow up text of the memo.

  Parameters:
    `sFollowUpText` - the follow up text
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOLLOW_UP_TEXT`

### getFollowUpDate

    public java.util.Date getFollowUpDate()
                                   throws DominoException

  Gets the follow up date of the memo.

  Returns:
    the follow up date of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOLLOW_UP_DATE`

### setFollowUpDate

    public void setFollowUpDate(java.util.Date followUpDate)
                         throws DominoException

  Sets the follow up date of the memo.

  Parameters:
    `followUpDate` - the follow up date
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOLLOW_UP_DATE`

### getPreventCopy

    public boolean getPreventCopy()
                           throws DominoException

  Gets the flag which indicates if this document can be copied. This flag is for status purposes only and there's no functionality derived in the API.

  Returns:
    the flag indicating if the memo should not be copied
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PREVENT_COPY`

### setPreventCopy

    public void setPreventCopy(boolean bPreventCopy)
                        throws DominoException

  Sets the flag to indicate if this document can be copied. This flag is for status purposes only and there's no functionality derived in the API.

  Parameters:
    `bPreventCopy` - `true` to indicate no copying allowed `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PREVENT_COPY`

### getSubject

    public java.lang.String getSubject()
                                throws DominoException

  Gets the subject of the memo.

  Returns:
    the subject of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getNormalizedSubject

    public java.lang.String getNormalizedSubject()
                                          throws DominoException

  Gets the normalized subject of the memo.

  Returns:
    the normalized subject of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getSubject

    public java.lang.String getSubject(java.util.Locale locale)
                                throws DominoException

  Deprecated. Specifying Locale does nothing, replaced with `getSubject()`

  Gets the subject of the memo.

  Parameters:
    `locale` - the locale
  Returns:
    the subject of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getUnread

    public boolean getUnread()
                      throws DominoException

  Gets the unread status of the memo.

  Returns:
    `true` if this memo is unread; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.UNREAD`

### setUnread

    public void setUnread(boolean bFlag)
                   throws DominoException

  Sets the unread status of the memo.

  Parameters:
    `bFlag` - `true` if this memo is unread; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.UNREAD`

### setBodyHtml

    public void setBodyHtml(java.lang.String sBody)
                     throws DominoException

  Sets the body as html of the memo.

  Parameters:
    `sBody` - the body as html of the memo (must be `UTF-8` encoded)
  Throws:
    `DominoException`

### getBodyHtml

    public java.lang.String getBodyHtml()
                                 throws DominoException

  Gets the body as html of the memo. There is no need to escape the html body.

  Returns:
    the body as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BODY_HTML`

### getBodyHtml

    public java.lang.String getBodyHtml(IEmbeddedImageListener imageListener)
                                 throws DominoException

  Gets the body as html of the memo. There is no need to escape the html body.

  Parameters:
    `imageListener` - the image listener (may not be `null`)
  Returns:
    the body as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BODY_HTML`

### getBodyStoredFormHtml

    public java.lang.String getBodyStoredFormHtml()
                                           throws DominoException

  Gets the body stored form as html of the memo. There is no need to escape the html body.

  Returns:
    the body as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BODY_HTML`

### getBodyStoredFormHtml

    public java.lang.String getBodyStoredFormHtml(IEmbeddedImageListener imageListener)
                                           throws DominoException

  Gets the body stored form as html of the memo. There is no need to escape the html body.

  Parameters:
    `imageListener` - the image listener (may not be `null`)
  Returns:
    the body as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BODY_STORED_FORM`

### getBody

    public java.lang.String getBody()
                             throws DominoException

  Gets the body of the memo.

  Returns:
    the body of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BODY`

### setBody

    public void setBody(java.lang.String sBody)
                 throws DominoException

  Sets the body of the memo.

  Parameters:
    `sBody` - the body of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BODY`

### setSubject

    public void setSubject(java.lang.String sSubject)
                    throws DominoException

  Sets the subject of the memo.

  Parameters:
    `sSubject` - the subject of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### setDeliveryReportLevel

    public void setDeliveryReportLevel(DeliveryReportLevel level)
                                throws DominoException

  Sets the delivery report level of the memo.

  Parameters:
    `level` - the delivery report level of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_REPORT`

### getDeliveryReportLevel

    public DeliveryReportLevel getDeliveryReportLevel()
                                               throws DominoException

  Gets the delivery report level of the memo.

  Returns:
    the delivery report level of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_REPORT`

### setDeliveryPriority

    public void setDeliveryPriority(Importance importance)
                             throws DominoException

  Sets the delivery priority of the memo.

  Parameters:
    `importance` - the delivery priority of the memo (may not be `null`)
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_PRIORITY`

### getDeliveryPriority

    public Importance getDeliveryPriority()
                                   throws DominoException

  Gets the delivery priority of the memo.

  Returns:
    the delivery priority of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERY_PRIORITY`

### setImportance

    public void setImportance(Importance importance)
                       throws DominoException

  Sets the importance of the memo.

  Parameters:
    `importance` - the importance of the memo (may not be `null`)
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IMPORTANCE`

### setReturnReceipt

    public void setReturnReceipt(boolean bFlag)
                          throws DominoException

  Sets the return receipt flag of the memo.

  Parameters:
    `bFlag` - `true` for a return receipt; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.RETURN_RECEIPT`

### getReturnReceipt

    public boolean getReturnReceipt()
                             throws DominoException

  Gets the return receipt flag of the memo.

  Returns:
    `true` for a return receipt; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.RETURN_RECEIPT`

### getSubject

    public java.lang.String getSubject(int iLength)
                                throws DominoException

  Deprecated. Specifying Locale does nothing, replaced with `getSubject(int)`

  Gets the subject of the message. The subject is truncated after the specified number of characters and "..." is appended to it.

  Parameters:
    `iLength` - the maximum length of the result (string plus "...")
  Returns:
    the truncated subject of the message or `null` if for no subject
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getSubject

    public java.lang.String getSubject(int iLength,
                                       java.util.Locale locale)
                                throws DominoException

  Deprecated. Specifying Locale does nothing, replaced with `getSubject(int)`

  Gets the subject of the message. The subject is truncated after the specified number of characters and "..." is appended to it.

  Parameters:
    `iLength` - the maximum length of the result (string plus "...")
    `locale` - the locale
  Returns:
    the truncated subject of the message or `null` if for no subject
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SUBJECT`

### getImportance

    public Importance getImportance()
                             throws DominoException

  Gets the importance of the memo.

  Returns:
    the importance of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IMPORTANCE`

### getDeliveredDate

    public java.util.Date getDeliveredDate()
                                    throws DominoException

  Gets the delivered date for the document.

  Returns:
    the delivered date for the document
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERED_DATE`

### getDeliveredDateString

    public java.lang.String getDeliveredDateString(java.text.DateFormat dateFormat)
                                            throws DominoException

  Gets the delivered date for the document formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the delivered date for the document or empty string if delivered date property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DELIVERED_DATE`

### getPostedDate

    public java.util.Date getPostedDate()
                                 throws DominoException

  Gets the posted date for the document.

  Returns:
    the posted date for the document
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.POSTED_DATE`

### getPostedDateString

    public java.lang.String getPostedDateString(java.text.DateFormat dateFormat)
                                         throws DominoException

  Gets the posted date for the document formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the posted date for the document or empty string if posted date property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.POSTED_DATE`

### getMemoDate

    public java.util.Date getMemoDate()
                               throws DominoException

  Gets the memo date for the document.

  Returns:
    the memo date for the document
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MEMO_DATE`

### getMemoDateString

    public java.lang.String getMemoDateString(java.text.DateFormat dateFormat)
                                       throws DominoException

  Gets the memo date for display formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the memo date for the document or empty string if display date property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MEMO_DATE`

### getSenderName

    public java.lang.String getSenderName()
                                   throws DominoException

  Gets the sender name for the memo.

  Returns:
    the sender name for the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SENDER_NAME`

### getSenderInfo

    public SenderInfo getSenderInfo()
                             throws DominoException

  Gets the sender info for the memo.

  Returns:
    the sender info for the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SENDER_INFO`

### getRecipientInfoArray

    public RecipientInfo[] getRecipientInfoArray()
                                          throws DominoException

  Gets information about the recipients of the memo.

  Returns:
    an array of `RecipientInfo` objects, or an empty array if there are no recipients
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.RECIPIENT_INFO`

### isEncrypted

    public boolean isEncrypted()
                        throws DominoException

  Checks if the memo is encrypted.

  Returns:
    `true` for an encrypted memo; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ENCRYPT`

### serverUpdate

    public void serverUpdate()
                      throws DominoException

  Hits the server to update any changed properties.

  Overrides:
    `serverUpdate` in class `AbstractDocument`
  Throws:
    `DominoException`

### serverSaveAsDraft

    public void serverSaveAsDraft()
                           throws DominoException

  Hits the server to update any changed properties and save the memo as a draft.

  Throws:
    `DominoException`

### serverSaveAsDraft

    public void serverSaveAsDraft(boolean bNoRecipients)
                           throws DominoException

  Hits the server to update any changed properties and save the memo as a draft.

  Parameters:
    `bNoRecipients` - `true` if this draft has an empty set of recipients or `false` otherwise.
  Throws:
    `DominoException`

### serverSaveAsDraft

    public void serverSaveAsDraft(Recipient[] recipients)
                           throws DominoException

  Hits the server to update any changed properties and save the memo as a draft. If the `recipients` is null then no updates will occur to the recipient fields.

  Parameters:
    `recipients` - the recipients to add to the memo draft
  Throws:
    `DominoException`

### serverSaveAsDraft

    public void serverSaveAsDraft(Recipient[] recipients,
                                  boolean bNoRecipients)
                           throws DominoException

  Hits the server to update any changed properties and save the memo as a draft.

  Parameters:
    `recipients` - the recipients to add to the memo draft
    `bNoRecipients` - if recipients is `null` and bRecipients `true` then this draft has an empty set of recipients. If recipients is `null` and bRecipients is `false` then don't update the recipients for this draft message. bNoRecipients is ignored if recipients is not `null`
  Throws:
    `DominoException`

### serverUpdate

    public void serverUpdate(Recipient[] recipients,
                             boolean bSaveInSent)
                      throws DominoException

  Hits the server to update any changed properties.

  Parameters:
    `recipients` - the recipients to add to the memo
    `bSaveInSent` - if `true` and sending the memo, save the memo in the `Sent Items` folder
  Throws:
    `DominoException`

### serverForward

    public Memo serverForward()
                       throws DominoException

  Hits the server to prepare a forward document.

  Returns:
    the Memo or `null` if not possible
  Throws:
    `DominoException`

### serverReply

    public Memo serverReply(boolean bReplyAll)
                     throws DominoException

  Hits the server to prepare a reply document.

  Parameters:
    `bReplyAll` - `true` to reply to all otherwise `false`
  Returns:
    the Memo or `null` if not possible
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.